Skip to main content
POST
/
schedules
Create schedule
curl --request POST \
  --url https://api.getenso.ai/schedules \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "name": "Monthly Invoice - Acme",
  "cron": "0 0 1 * *",
  "ContractPlanId": "42",
  "active": true
}
'
{
  "status": "success",
  "message": "Success",
  "data": {}
}

Authorizations

Authorization
string
header
required

JWT bearer token obtained from POST /auth/system-login using your client credentials.

Body

application/json
name
string
required
Example:

"Monthly Invoice - Acme"

cron
string
required
Example:

"0 0 1 * *"

ContractPlanId
string
Example:

"42"

active
boolean
Example:

true

Response

Success

status
string
Example:

"success"

message
string
Example:

"Success"

data
object

Endpoint-specific payload (object, array, or null)